> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/package-reference/components-library/dynamic-components/gm-dynamic-record-card.md).

# GM - Dynamic Record Card

(gmpkg:DynamicRecordCardComponent)

## **Documentation**

**GM - Dynamic Record Card** component is used to display a record same as **GM - Record Card.** The component can be configured as child of a master grid to build master detail UI.

**Use case:** Display the details of the account selected in a master account grid. See [Grid - Dynamic Record Card](https://docs.gridmate.io/advanced-guides/dynamic-components/grid-dynamic-record-card.md).

## **Specification**

**GM - Dynamic Record Card** component has the same properties as [**GM - Record Card**](https://docs.gridmate.io/package-reference/components-library/records/gm-record-card.md) except for recordId, which is not available; the record is resolved from the row selected in the parent grid. The component adds the following attributes.

<table data-full-width="true"><thead><tr><th width="277">Property</th><th width="104.33333333333331">Type</th><th width="430.38968912760424">Description</th></tr></thead><tbody><tr><td>Parent Object Name *</td><td>String</td><td>The parent object name to listen on.</td></tr><tr><td>Parent Grid Name *</td><td>String</td><td>The parent grid name to listen on. It could be the related list label (<strong>GM - RelatedList Grid</strong>), the field set name (<strong>GM - FieldSet Grid</strong>) or the list view api name (<strong>GM - ListView Grid</strong>).</td></tr><tr><td>Parent Grid Code*</td><td>String</td><td>The data grid code to listen on.</td></tr><tr><td>Parent RecordId</td><td>String</td><td>Parent RecordId to test with. Keep this empty after configuring the component.</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="DynamicRecordCardComponent.design" %}
{% code fullWidth="true" %}

```xml
<design:component label="GM - Dynamic Record Card">
    <design:attribute name="title" label="Card Title" 
                      description="Card Title"/>
    <design:attribute name="icon" label="Card Icon" 
                      description="Card Icon"/>
    <design:attribute name="showBorder" label="Show Border" 
                      description="Show record card border"/>       
    
    <design:attribute name="targetObjName" label="Object Name" 
                      description="Object Name to load"/>    
    <design:attribute name="recordIdField" label="Record Id Field" 
                      description="Record Id Field to load" />
    
    <design:attribute name="parentObjectName" label="Parent Object Name" 
                      description="The name of the parent object"/>                              
    <design:attribute name="parentGridName" label="Parent Grid Name" 
                      description="The parent grid name"/> 
    <design:attribute name="parentGridCode" label="Parent Grid Code" 
                      description="The parent grid code"/>     
    <design:attribute name="parentRecordId" label="Parent RecordId" 
                      description="Parent RecordId to test with. Keep this empty after configuring the component"/>        

    <design:attribute name="recordFields" label="Record Fields" 
                      description="Record Fields to display"/>
    <design:attribute name="columns" label="# of columns" 
                      description="# of Columns for the layout"/>    
    <design:attribute name="mode" label="Display Mode" 
                      description="Display mode (edit, view, readonly)"/>            
    
    <design:attribute name="recordLayout" label="Record Layout" 
                      description="JSON Record Layout"/>
    
    <design:attribute name="recordActions" label="Record Actions" 
                      description="JSON Record Actions"/>        
    <design:attribute name="buttonActions" label="Show Actions as Buttons" 
                      description="Use buttons for actions instead of icons"/>
    <design:attribute name="visibleActions" label="Visible Actions" 
                      description="# of visible actions"/> 
</design:component>
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/package-reference/components-library/dynamic-components/gm-dynamic-record-card.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
